Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Sggsvp

    java.lang.Object
      org.netlib.lapack.Sggsvp

    public class Sggsvp

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SGGSVP computes orthogonal matrices U, V and Q such that
     *
     *                   N-K-L  K    L
     *   U'*A*Q =     K ( 0    A12  A13 )  if M-K-L >= 0;
     *                L ( 0     0   A23 )
     *            M-K-L ( 0     0    0  )
     *
     *                   N-K-L  K    L
     *          =     K ( 0    A12  A13 )  if M-K-L < 0;
     *              M-K ( 0     0   A23 )
     *
     *                 N-K-L  K    L
     *   V'*B*Q =   L ( 0     0   B13 )
     *            P-L ( 0     0    0  )
     *
     *  where the K-by-K matrix A12 and L-by-L matrix B13 are nonsingular
     *  upper triangular; A23 is L-by-L upper triangular if M-K-L >= 0,
     *  otherwise A23 is (M-K)-by-L upper trapezoidal.  K+L = the effective
     *  numerical rank of the (M+P)-by-N matrix (A',B')'.  Z' denotes the
     *  transpose of Z.
     *
     *  This decomposition is the preprocessing step for computing the
     *  Generalized Singular Value Decomposition (GSVD), see subroutine
     *  SGGSVD.
     *
     *  Arguments
     *  =========
     *
     *  JOBU    (input) CHARACTER*1
     *          = 'U':  Orthogonal matrix U is computed;
     *          = 'N':  U is not computed.
     *
     *  JOBV    (input) CHARACTER*1
     *          = 'V':  Orthogonal matrix V is computed;
     *          = 'N':  V is not computed.
     *
     *  JOBQ    (input) CHARACTER*1
     *          = 'Q':  Orthogonal matrix Q is computed;
     *          = 'N':  Q is not computed.
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A.  M >= 0.
     *
     *  P       (input) INTEGER
     *          The number of rows of the matrix B.  P >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrices A and B.  N >= 0.
     *
     *  A       (input/output) REAL array, dimension (LDA,N)
     *          On entry, the M-by-N matrix A.
     *          On exit, A contains the triangular (or trapezoidal) matrix
     *          described in the Purpose section.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A. LDA >= max(1,M).
     *
     *  B       (input/output) REAL array, dimension (LDB,N)
     *          On entry, the P-by-N matrix B.
     *          On exit, B contains the triangular matrix described in
     *          the Purpose section.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B. LDB >= max(1,P).
     *
     *  TOLA    (input) REAL
     *  TOLB    (input) REAL
     *          TOLA and TOLB are the thresholds to determine the effective
     *          numerical rank of matrix B and a subblock of A. Generally,
     *          they are set to
     *             TOLA = MAX(M,N)*norm(A)*MACHEPS,
     *             TOLB = MAX(P,N)*norm(B)*MACHEPS.
     *          The size of TOLA and TOLB may affect the size of backward
     *          errors of the decomposition.
     *
     *  K       (output) INTEGER
     *  L       (output) INTEGER
     *          On exit, K and L specify the dimension of the subblocks
     *          described in Purpose.
     *          K + L = effective numerical rank of (A',B')'.
     *
     *  U       (output) REAL array, dimension (LDU,M)
     *          If JOBU = 'U', U contains the orthogonal matrix U.
     *          If JOBU = 'N', U is not referenced.
     *
     *  LDU     (input) INTEGER
     *          The leading dimension of the array U. LDU >= max(1,M) if
     *          JOBU = 'U'; LDU >= 1 otherwise.
     *
     *  V       (output) REAL array, dimension (LDV,M)
     *          If JOBV = 'V', V contains the orthogonal matrix V.
     *          If JOBV = 'N', V is not referenced.
     *
     *  LDV     (input) INTEGER
     *          The leading dimension of the array V. LDV >= max(1,P) if
     *          JOBV = 'V'; LDV >= 1 otherwise.
     *
     *  Q       (output) REAL array, dimension (LDQ,N)
     *          If JOBQ = 'Q', Q contains the orthogonal matrix Q.
     *          If JOBQ = 'N', Q is not referenced.
     *
     *  LDQ     (input) INTEGER
     *          The leading dimension of the array Q. LDQ >= max(1,N) if
     *          JOBQ = 'Q'; LDQ >= 1 otherwise.
     *
     *  IWORK   (workspace) INTEGER array, dimension (N)
     *
     *  TAU     (workspace) REAL array, dimension (N)
     *
     *  WORK    (workspace) REAL array, dimension (max(3*N,M,P))
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *
     *
     *  Further Details
     *  ===============
     *
     *  The subroutine uses LAPACK subroutine SGEQPF for the QR factorization
     *  with column pivoting to detect the effective numerical rank of the
     *  a matrix. It may be replaced by a better rank determination strategy.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Sggsvp()`

Method Summary
`static void` | `sggsvp(java.lang.String jobu, java.lang.String jobv, java.lang.String jobq, int m, int p, int n, float[] a, int _a_offset, int lda, float[] b, int _b_offset, int ldb, float tola, float tolb, intW k, intW l, float[] u, int _u_offset, int ldu, float[] v, int _v_offset, int ldv, float[] q, int _q_offset, int ldq, int[] iwork, int _iwork_offset, float[] tau, int _tau_offset, float[] work, int _work_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sggsvp

    public Sggsvp()

Method Detail

### sggsvp

    public static void sggsvp(java.lang.String jobu,
                              java.lang.String jobv,
                              java.lang.String jobq,
                              int m,
                              int p,
                              int n,
                              float[] a,
                              int _a_offset,
                              int lda,
                              float[] b,
                              int _b_offset,
                              int ldb,
                              float tola,
                              float tolb,
                              intW k,
                              intW l,
                              float[] u,
                              int _u_offset,
                              int ldu,
                              float[] v,
                              int _v_offset,
                              int ldv,
                              float[] q,
                              int _q_offset,
                              int ldq,
                              int[] iwork,
                              int _iwork_offset,
                              float[] tau,
                              int _tau_offset,
                              float[] work,
                              int _work_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD